JTS Topology Suite version 1.13

## com.vividsolutions.jts.operation.overlay
Class PointBuilder

    java.lang.Object
      com.vividsolutions.jts.operation.overlay.PointBuilder

    public class PointBuilder

extends java.lang.Object

Constructs `Point`s from the nodes of an overlay graph.

Version:
  1.7

Constructor Summary
`PointBuilder(OverlayOp op, GeometryFactory geometryFactory, PointLocator ptLocator)`

Method Summary
`java.util.List` `build(int opCode)` Computes the Point geometries which will appear in the result, given the specified overlay operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointBuilder

    public PointBuilder(OverlayOp op,
                        GeometryFactory geometryFactory,
                        PointLocator ptLocator)

Method Detail

### build

    public java.util.List build(int opCode)

  Computes the Point geometries which will appear in the result, given the specified overlay operation.

  Returns:
    a list of the Points objects in the result

JTS Topology Suite version 1.13